@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800&display=swap');

*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
  font-family: 'Poppins',sans-serif;

}

html{
    font-size: 62.5%;

}

a{
    text-decoration: none;
    color: black;
  cursor: pointer;



}
.social-media a{
    margin-left: 1rem;
}
li{
    list-style: none;
}

.navbar{
    display:flex;
    justify-content:space-around;
    align-items: center;
    padding: 2rem;

}

.list-items{
    display:flex;
    justify-content:center;
    align-items: center;
    gap: 3rem;
    font-size: 1.4rem;
}

.navbar h2{
    font-size: 2rem;
    text-decoration: underline;
    cursor: pointer;
}
.list-item a{
    font-size: 1.4rem;
}


.list-item a:hover{
    color: #fff;
}

.nav-btn{
background-color: #77ba99;  
 padding: 1rem 2rem;
  

}


.hero-section{
    display:flex;
    justify-content:space-around;
    align-items: center;
    position: relative;
    height: 90vh;
}



.left-hero{
    display:flex;
    justify-content:center;
    align-items: baseline;
    flex-direction: column;
    gap: 5;
   position: absolute;
   left: 10%;
   top: 30%;



}

.left-hero h3{
    background-color: #d0c3f1;
    padding: .4rem;
}

.left-hero h1{
    font-size: 5rem;
}

.btn{
    padding: 2rem 4rem;
    background-color: #8c52ff;
    color: #fff;
    font-size: 1.4rem;
}

.hero-right{
    display:flex;
    justify-content:center;
    /* align-items: center; */
    flex-direction: column;
    position: absolute;
    top: 13%;
    right: 5%;
    width: 30%;
}

.hero-right-img img{
    width: 100%;
  
    background-color: #d0c3f1;
    border-radius: 50%;
    border: .5rem solid #8c52ff;

   
    
    
}

.triangle{
   
    font-size: 20rem;
 position: absolute;
    color: #8c52ff;
  
    /* left: 33%; */
    
    top: 15%;
    right: 28%;
    z-index: 1;

 


}



.triangle img{
    width: 100%;
}



.social-media img{
    width:60%;
    display: inline-flex;
  
}

.social-media{
    /* border: 2px solid rebeccapurple; */
    /* background-color: #d0c3f1; */
    display:flex;
    justify-content:center;
    align-items: center;
    flex-direction: column;
    gap: 2rem;
width: 5%;
height: 23rem;
position: absolute;
left: 0;
  


}

.container{
    background-color: #e07c24;
}


/* -------------------------- About Section */


.about-section{
    display:flex;
    justify-content:center;
    align-items: center;
    flex-direction: column;
    gap: 3rem;
    /* margin-top: 10rem; */
    padding-top: 10rem;
    background-color: #fcf8e8;
}

.about-section h2{
    font-size: 4rem;
}

.about-main{
    display:flex;
    justify-content:space-between;
    align-items: baseline;
    gap: 10rem;
    padding: 4rem;
}

.about-left{
    display:flex;
    justify-content:center;
    align-items: baseline;
    flex-direction: column;
    gap: 2rem;
    width: 50%;
}

.about-left p{
    font-size: 1.75rem;
}

.about-right{
    display:flex;
    justify-content:start;
    align-items: baseline;
    flex-direction: column;
    gap: 4rem;
   
}

.about-right .skills{
    display:flex;
    justify-content:baseline;
    align-items: baseline;
   /* width: 50%; */
    gap: 3rem;
    flex-wrap: wrap;
}


.skills h3{
    padding: 2rem 4rem;
    background-color: #8c52ff;
    border-radius: 1rem;
  
}


.projects{
    display:flex;
    justify-content:center;
    align-items: center;
    flex-direction: column;
    background-color: #77ba99;
    padding-top: 6rem;
    gap: 7rem;
    padding-bottom: 10rem;
  
   
 
}

.projects h2{
    font-size: 4rem;
    font-weight: 800;
}

.projects-main{
display:flex;
justify-content:center;
align-items: baseline;
flex-direction: row;
flex-wrap: wrap;
gap: 2rem;



}
.project{
    width: 25%;

    padding: 2rem;
    display:flex;
   
    flex-direction: column;
    gap: 1rem;

}
.project h3{
    font-size: 1.75rem;
}
.project img{
    width: 100%;
    background-color: #8c52ff;
    padding: 2rem;
    /* border-radius: 1rem; */
    transition: background-color 1s;
    cursor: pointer;

}

.project img:hover{
    background-color: black;
    border-radius: .5rem;



}

.project-btn{
  display:flex;
   justify-content:space-between; 
  align-items: center; 
  gap: 1rem;

}

.project-btn .btn{
    padding: .5rem 2rem;
 
   
    transition: box-shadow .5s;
    border-radius: .5rem;

  
  

}



.project-btn .btn:hover{
    box-shadow: 3px 3px 3px #E07C24;
   
}

.github-btn{
    background-color: #0D0D0D;
}

.live-btn {
    background-color: #E21717;
}



/* -------------------- footet ----------- */
.footer{
    display:flex;
    justify-content:center;
    align-items: center;
    flex-direction: column;
    background-color: #8D3DAF;

    position: relative;
    height: 10vh;
    width: 100%;

    color: #fff;
    padding: 2rem 0;
    gap: 2rem;
    padding: 6rem 0;
}

.footer h3{
    font-size: 2rem;
}

.footer-social-media{
 
    display:flex;
    justify-content:center;
    align-items: center;
    flex-direction: row;
    gap: 3rem;
}

.footer-social-media img{

    width:2%;

}



